Gets extension name

- « ReflectionExtension::getINIEntries

- ReflectionExtension::getVersion »

- PHP Manual
- ReflectionExtension
- Gets extension name

# ReflectionExtension::getName

(PHP 5, PHP 7, PHP 8)

ReflectionExtension::getName — Gets extension name

### Description

public ReflectionExtension::getName(): string

Gets the extensions name.

### Parameters

This function has no parameters.

### Return Values

The extensions name.

### Examples

Example #1 ReflectionExtension::getName() example

    <?php
    $ext = new ReflectionExtension('mysqli');
    var_dump($ext->getName());
    ?>

The above example will output something similar to:

    string(6) "mysqli"

### See Also

- ReflectionExtension::getClassNames() - Gets class names